Skip to content

Request Status

Overview

The request-status endpoint is used to get the status of the request sent to Neurolinker through the Request endpoint.


GET /api/v1/request-status/{request_id}

Parameters
Name In Type Description
request_id path string Id of the request previously sent
Response

200

Response Schema

Name Type Description
success boolean
request_id string
status string Overall status: 'processing', 'completed', 'failed', or 'partial'
documents array of objects Contains status of specific documents. See Document Status
total int Total documents send for processing
completed int Number of documents for which the extraction has completed
failed int Number of documents for which the extraction has failed
processing int Number of documents for which the extraction is still going
job_page_url string Web UI Page for the request
total_size_bytes int Total size of the documents in bytes
started_at string
completed_at string
{
  "success": true,
  "request_id": "string",
  "status": "string",
  "documents": [
    {
      // Specific Document Infos
    }
  ],
  "total": 0,
  "completed": 0,
  "failed": 0,
  "processing": 0,
  "job_page_url": "string",
  "total_size_bytes": 0,
  "started_at": "string",
  "completed_at": "string"
}

example "Try it out!"

curl -L 'https://neurolinker.api.ainexxo.com/api/v1/extract' \
-H 'Authorization: Bearer nl_********************************' \
-F 'documents=@"test.pdf"' \
-F 'form="{}"'

example "Example Response"

{
"success": true,
"request_id": "2c83d7c8-7ff5-42f3-a276-9d5a86785167",
"status": "completed",
"documents": [
    {
    "document_id": "1d6986aa-80ac-4a4d-9009-5a323c9046b1",
    "filename": "Invoice_20250101.pdf",
    "status": "completed",
    "result": {
        "file_name": "Invoice_20250101.pdf",
        "file_type": "application/pdf",
        "started_at": "2025-10-15T09:49:50.574754Z",
        "file_size_bytes": 421050,
        "user_uid": "r7N61XBJZBfUjpYocuUWSteuQF52",
        "total_pages": 8,
        "completed_at": "2025-10-15T09:52:15.622575Z",
        "results": {
            "storage_path": "uploads/r7N61XBJZBfUjpYocuUWSteuQF52/2c83d7c8-7ff5-42f3-a276-9d5a86785167/1d6986aa-80ac-4a4d-9009-5a323c9046b1/",
            "cropped_images": [
                "545f62ed-497b-4bef-9240-79af6ed6f00d.png",
                "0d2a4c60-a235-44d4-a289-f9ff3395136b.png",
                "67d9cbe2-f410-4cbb-8fb3-9faa00868f30.png",
                "b532f90a-a9c9-4123-b282-b400ec6cb4c4.png",
                "663008a7-bd8f-4542-9a57-1acdc438e65e.png",
                "7674cdf4-cd0a-4847-b6b7-72389d641321.png",
                "63b3d37a-119e-43ac-80f0-04bb3d96b02f.png",
                "d08a2c04-ffed-45a2-bc36-cfb71d0ecee0.png",
                "0d676032-bdc1-420e-92f6-09d08e7b567d.png",
                "d16bfe5b-c610-492a-a142-926be951ad4c.png",
                "6d6d214d-f17a-4068-ad30-69c1b03243db.png",
                "db26ebe5-54b2-4a7e-abcd-1eb0b285f59c.png"
                ]
            },
        "status": "completed",
        "billing": {
        "type": "capture",
        "amount": 32,
        "at": "2025-10-15T09:52:17.328000Z"
        }
    },
    "document_page_url": "https://neurolinker.ainexxo.com/job/2c83d7c8-7ff5-42f3-a276-9d5a86785167/extractions/1d6986aa-80ac-4a4d-9009-5a323c9046b1"
    }
],
"total": 1,
"completed": 1,
"failed": 0,
"processing": 0,
"job_page_url": "https://ainexxo-neurolinker-dev.web.app/job/2c83d7c8-7ff5-42f3-a276-9d5a86785167/extractions",
"total_size_bytes": 421050,
"started_at": "2025-10-15T09:49:50.574754+00:00",
"completed_at": "2025-10-15T09:52:15.622575+00:00"
}